Package: groovy.transform.stc

## [Java] Class ThirdGenericType

- groovy.transform.stc.FirstParam.ThirdGenericType

- A hint used to instruct the type checker to pick the third generic type of the first parameter type. For example:

  `void <T,U,V> doWithElements(Triple<T,U,V> src, @ClosureParams(FirstParam.ThirdGenericType.class) Closure c) { src.each { c.call(it) } }`
  Authors:
    Cédric Champeau
  Since:
    2.3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FirstParam.ThirdGenericType ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PickAnyArgumentHint` | `getParameterTypes`
    `class SingleSignatureClosureHint` | `getClosureSignatures, getParameterTypes`
    `class ClosureSignatureHint` | `findClassNode, getClosureSignatures, pickGenericType, pickGenericType`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public FirstParam.ThirdGenericType()